import java.util.HashMap;
import java.util.Map;

/**
 * Created by Vol4ica on 13.06.2015.
 */
public class Threads implements Runnable {

    int i = 1;


    @Override
    public synchronized void run() {
        for (i = 1; i <= 10; i++) {
            System.out.print("This is " + i + "; from" + Thread.currentThread().getName() + '\n');
            Page p = new Page(Thread.currentThread().getName(), i);

        }

    }
}
   


